Bug 17429 - Document the --plack option for koha-list
Summary: Document the --plack option for koha-list
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 13791
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-11 16:38 UTC by Magnus Enger
Modified: 2021-02-11 22:09 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02,20.05.09,19.11.15


Attachments
Bug 17429: document the --plack/--noplack options of koha-list (2.09 KB, patch)
2020-12-29 11:41 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 17429: document the --plack/--noplack options of koha-list (2.14 KB, patch)
2021-01-18 22:43 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 17429: document the --plack/--noplack options of koha-list (2.20 KB, patch)
2021-01-18 23:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2016-10-11 16:38:13 UTC
Bug 13791 added the --plack and --noplack options to koha-list, but forgot to document them in the man page.
Comment 1 Andreas Roussos 2020-12-29 11:39:21 UTC
I've emailed Magnus about this Bug, and he graciously agreed to let me
assign this to myself and also re-use his test plan from Bug 10622.
Comment 2 Andreas Roussos 2020-12-29 11:41:35 UTC
Created attachment 114720 [details] [review]
Bug 17429: document the --plack/--noplack options of koha-list

The man page of koha-list does not list the --plack and --noplack
options.

This patch fixes that.

Test plan:

1) View the current man page for `koha-list` (with `man koha-list`)
   and notice how the --plack and --noplack options are missing.

2) Apply this patch.

3) Run the following command to re-generate the man page:

   xsltproc /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
   debian/docs/koha-list.xml

   View the manual page again (with `man -l koha-list.8`), the
   two options are now displayed under SYNOPSIS and OPTIONS.

4) Make sure this test passes:
   prove -v xt/verify-debian-docbook.t
Comment 3 Mazen Khallaf 2021-01-18 22:43:50 UTC
Created attachment 115253 [details] [review]
Bug 17429: document the --plack/--noplack options of koha-list

The man page of koha-list does not list the --plack and --noplack
options.

This patch fixes that.

Test plan:

1) View the current man page for `koha-list` (with `man koha-list`)
   and notice how the --plack and --noplack options are missing.

2) Apply this patch.

3) Run the following command to re-generate the man page:

   xsltproc /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
   debian/docs/koha-list.xml

   View the manual page again (with `man -l koha-list.8`), the
   two options are now displayed under SYNOPSIS and OPTIONS.

4) Make sure this test passes:
   prove -v xt/verify-debian-docbook.t

Signed-off-by: Mazen Khallaf <mazen.i.khallaf@gamil.com>
Comment 4 Katrin Fischer 2021-01-18 23:19:52 UTC
Created attachment 115259 [details] [review]
Bug 17429: document the --plack/--noplack options of koha-list

The man page of koha-list does not list the --plack and --noplack
options.

This patch fixes that.

Test plan:

1) View the current man page for `koha-list` (with `man koha-list`)
   and notice how the --plack and --noplack options are missing.

2) Apply this patch.

3) Run the following command to re-generate the man page:

   xsltproc /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
   debian/docs/koha-list.xml

   View the manual page again (with `man -l koha-list.8`), the
   two options are now displayed under SYNOPSIS and OPTIONS.

4) Make sure this test passes:
   prove -v xt/verify-debian-docbook.t

Signed-off-by: Mazen Khallaf <mazen.i.khallaf@gamil.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-01-18 23:20:21 UTC
Thx for your sign-off, Mazen!
Comment 6 Jonathan Druart 2021-01-19 15:24:01 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-20 09:01:33 UTC
Pushed to 20.11.x for 20.11.02
Comment 8 Andrew Fuerste-Henry 2021-01-29 21:28:56 UTC
Pushed to 20.05.x for 20.05.09
Comment 9 Victor Grousset/tuxayo 2021-02-01 23:19:21 UTC
Backported: Pushed to 19.11.x branch for 19.11.15